Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-08-05-1"

Query Parameters

account_id
string

Only domains registered for this account (biz_ tag). Defaults to the caller's account plus its connected accounts.

hostname
string

Only the domain with this exact hostname.

status
enum<string>

Only domains with this verification status.

Available options:
pending,
verified
provider
enum<string>

Only domains registered with this wallet provider.

Available options:
apple
created_before
string<date-time>

Only domains created before this ISO 8601 timestamp.

created_after
string<date-time>

Only domains created after this ISO 8601 timestamp.

order
enum<string>
default:created_at

Sort field.

Available options:
created_at
direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of domains to return from the start of the window.

Required range: x <= 100
after
string

Cursor to paginate forwards from.

last
integer

Number of domains to return from the end of the window.

Required range: x <= 100
before
string

Cursor to paginate backwards from.

Response

payment method domains listed

data
object[]
required
page_info
object
required